# Class ControlHideShowDirective

#### Hierarchy (view full)

- ExtractControlFromParentMixin
- ExtractFormDefinitionMixin
  - ControlHideShowDirective

#### Implements

- OnInit
- OnDestroy

- Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:69
- Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:78

#####
Index

### Constructors

constructor

### Properties

control
controlId?
elementRef
ngControl
parent
renderer
subscription

### Methods

extractControlFromParent
extractFormDefinition
extractHideFunction
extractOptions
extractShowFunction
hide
ngOnDestroy
ngOnInit
reset
show

## Constructors

### constructor

- new ControlHideShowDirective(renderer, elementRef, parent, ngControl): ControlHideShowDirective

- #### Parameters

  - renderer: Renderer2
  - elementRef: ElementRef<any>
  - parent: null | ControlContainer
  - ngControl: null | NgControl

  #### Returns ControlHideShowDirective

  Inherited from ExtractFormDefinitionMixin.constructor

  - Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:87

## Properties

### control

control: RxapFormControl<any, any, any>

- Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:83

### `Optional` controlId

controlId?: string

- Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:81

### `Private` `Readonly` elementRef

elementRef: ElementRef<any>

- Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:91

### `Private` `Readonly` ngControl

ngControl: null | NgControl

- Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:98

### `Private` `Readonly` parent

parent: null | ControlContainer

- Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:94

### `Private` `Readonly` renderer

renderer: Renderer2

- Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:89

### `Private` subscription

subscription: Subscription = ...

- Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:85

## Methods

### `Protected` extractControlFromParent

- extractControlFromParent(parent, controlPath): AbstractControl<any>

- #### Parameters

  - parent: ControlContainer
  - controlPath: string

  #### Returns AbstractControl<any>

  Inherited from ExtractControlFromParentMixin.extractControlFromParent

  - Defined in packages/angular/form-system/src/lib/mixins/extract-control-from-parent.mixin.ts:12

### `Protected` extractFormDefinition

- extractFormDefinition(control): FormDefinition<any, any, any>

- #### Parameters

  - control: AbstractControl<any>

  #### Returns FormDefinition<any, any, any>

  Inherited from ExtractFormDefinitionMixin.extractFormDefinition

  - Defined in packages/angular/form-system/src/lib/mixins/extract-form-definition.mixin.ts:10

### `Private` extractHideFunction

- extractHideFunction(formDefinition): null | ControlHideShowFunction<any>

- #### Parameters

  - formDefinition: FormDefinition<any, any, any>

  #### Returns null | ControlHideShowFunction<any>

  - Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:220

### `Private` extractOptions

- extractOptions(formDefinition): ControlHideShowOptions

- #### Parameters

  - formDefinition: FormDefinition<any, any, any>

  #### Returns ControlHideShowOptions

  - Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:206

### `Private` extractShowFunction

- extractShowFunction(formDefinition): null | ControlHideShowFunction<any>

- #### Parameters

  - formDefinition: FormDefinition<any, any, any>

  #### Returns null | ControlHideShowFunction<any>

  - Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:234

### `Private` hide

- hide(): void

- #### Returns void

  - Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:248

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  - Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:202

### ngOnInit

- ngOnInit(): void

- #### Returns void

  - Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:102

### `Private` reset

- reset(): void

- #### Returns void

  - Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:256

### `Private` show

- show(): void

- #### Returns void

  - Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:252